TGRMach - Feature #225

Estudiar y resolver el tema de la alimentacion USB <-> Atari
02/08/2016 09:58 PM - Txinto Vaz

Status: Resolved Start date: 02/08/2016
Priority: Normal Due date:

Assignee: Txinto Vaz % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v0.2_USB_y MSX Spent time: 0.30 hour
Description

El joystick se puede alimentar del USB o del conector de la norma Atari. ;C6mo pueden eliminarse los cortocircuitos en caso de
tener ambos cables conectados?

Related issues:
Blocks TGRMach - Feature #224: Cablear el selector de sistemas New 02/08/2016

History

#1 - 02/08/2016 09:58 PM - Txinto Vaz

- Description updated

#2 - 02/09/2016 03:24 AM - Txinto Vaz
- % Done changed from 0 to 20

Opcion 3, con dos diodos.

https://www.pjrc.com/teensy/external_power.html

#3 - 05/04/2016 12:09 PM - Txinto Vaz
- Status changed from New to In Progress

- % Done changed from 20 to 50

Ya tenemos los diodos, habra que hacer la prueba... biggrin.png

#4 - 09/24/2016 09:34 PM - Txinto Vaz
- % Done changed from 50 to 100

Hoy hemos montado los diodos que nos decia en la pagina referenciada y somos capaces de jugar en el MSX a la vez que vemos cémo se mueven
los controles en el configurador de mandos USB de un PC.

#5 - 09/24/2016 09:38 PM - Txinto Vaz

Cabe notar que hemos tenido que cablear los 5V y la masa del DB9 a la teensy para alimentarla.
Por tanto, no se puede hacer el recableado todo por software. Dependiendo de la configuracion escogida debe cablearse la masa y la alimentacion
de una manera concreta. De lo contrario el micro no arrancaria.

Hay que estudiar si ésto se puede hacer por hardware simplemente con un selector, o hay que poner varios switches y explicar como queremos
selecionar un sistema u otro.

Otra opcion es meterle diodos a todos los implicados, en paralelo e intentando no perder demasiados escalones de voltage.

#6 - 09/24/2016 09:38 PM - Txinto Vaz

- Status changed from In Progress to Resolved

#7 - 09/24/2016 09:39 PM - Txinto Vaz

- Blocks Feature #224: Cablear el selector de sistemas added
